# norootforbuild
%define vlcbetadev %(rpm -q --quiet vlc-beta-devel ; if test $? != 0 ; then echo 0 ; else echo 1 ; fi )

Summary: Player Free / Neuf TV
Name: 	freetuxtv
Version:	0.6.5
Release:	2.4
Source: 	%{name}-%{version}.tar.gz
License: 	GPL-2.0
Url:            http://code.google.com/p/freetuxtv/
Group: Productivity/Multimedia/Video/Players
BuildRoot:  %{_tmppath}/%{name}-%{version}-build
BuildRequires: gtk2-devel >= 2.12 glib2-devel >= 2.16 libglade2-devel >= 2.6
BuildRequires: libcurl-devel >= 7.16.4 sqlite3-devel > 3.4.0
BuildRequires: dbus-1-glib-devel >= 0.74
BuildRequires: libgthread-2_0-0
BuildRequires: gettext-devel libstdc++-devel
BuildRequires: vlc-devel >= 2.0
BuildRequires: intltool
BuildRequires:  autoconf
BuildRequires:  libtool
BuildRequires:  automake
BuildRequires:  libnotify-devel

%description
Freetuxtv is a player for Television on Internet with french Alice,
Bouygues, Free, Orange and SFR (ex-Neuf) Internet service providers, 
and a lot of WebTV, WebRadio and Webcam with more than twenty languages in the world.


%package devel
Summary: Freetuxtv Development system
Group: Development/Libraries/C and C++
Requires: %{name} = %{version}

%description devel
Freetuxtv is a player for Television on Internet with french Alice,
Bouygues, Free, Orange and SFR (ex-Neuf) Internet service providers, 
and a lot of WebTV, WebRadio and Webcam with more than twenty languages in the world.

This package contains development files for freetuxtv

%lang_package

%prep
%setup -q

%build 

./autogen.sh --prefix=%{_prefix} --libdir=%{_libdir} --with-gtk=2.0
make %{?_smp_mflags}


%install
make DESTDIR=%{buildroot} install
%find_lang %{name}
rm -r %{buildroot}/%{_datadir}/%{name}/doc

%clean
rm -rf "$RPM_BUILD_ROOT"


%files
%defattr(-,root,root)
%{_bindir}/freetuxtv
%dir %{_datadir}/freetuxtv/
%dir %{_datadir}/freetuxtv/images
%dir %{_datadir}/freetuxtv/images/channels
%{_datadir}/freetuxtv/channels_groups.xml
%{_datadir}/icons/*
%{_datadir}/freetuxtv/splashscreen.png
%{_datadir}/freetuxtv/images/channels/*.png
%{_datadir}/freetuxtv/sqlite3-create-tables.sql
%{_datadir}/freetuxtv/tv_channels.xml
%dir %{_datadir}/freetuxtv/ui/
%{_datadir}/freetuxtv/ui/addchannelsgroups.glade
%{_datadir}/freetuxtv/ui/addrecording.glade
%{_datadir}/freetuxtv/ui/channelproperties.glade
%{_datadir}/freetuxtv/ui/freetuxtv.glade
%{_datadir}/applications/freetuxtv.desktop

%files devel
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README
%dir %{_includedir}/libvlc-gtk/
%{_includedir}/libvlc-gtk/*.h
%dir %{_includedir}/libdbevolution/
%{_includedir}/libdbevolution/db-evolution-instance.h
%{_libdir}/libvlc-gtk.*a
%{_libdir}/libdbevolution.*a

%files lang -f %{name}.lang
%defattr(-,root,root,-)

%changelog
* Wed Apr 18 2012 - Benjamin Denisart <p.drouand@gmail.com>
- Freetuxtv version 0.6.3

* Sun Mar 21 2010 - Gilles Sabourin <gilles.sabourin@free.fr>
- Freetuxtv version 0.4.2

* Sat Dec 12 2009 - Gilles Sabourin <gilles.sabourin@free.fr>
- Freetuxtv version 0.4.0

* Wed Aug 26 2009 - Gilles Sabourin <gilles.sabourin@free.fr>
- Source is bziped
- Freetuxtv version 0.3.0

* Sun Jan 18 2009 - Gilles Sabourin <gilles.sabourin@free.fr>
- Added norootforbuild directive

* Tue Nov 11 2008 - Gilles Sabourin <gilles.sabourin@free.fr>
- Initial build for openSUSE 11.0
